/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Stock;
import Controllers.Stock.ListProduitBon;
import java.sql.Time;
import javafx.collections.ObservableList;

/**
 * @author Maher Ben Tili
 */
public class BonEntree {
    
    private String id ;
    private String date ;
    private Time heur ;
    private String local_emetteur;
    private String local_recepteur;
    private String transporteur ;
    private ObservableList<ListProduitBon> Liste_prod ;
    
    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Time getHeur() {
        return heur;
    }

    public void setHeur(Time heur) {
        this.heur = heur;
    }
    
    public String getLocal_emetteur() {
        return local_emetteur;
    }

    public void setLocal_emetteur(String local_emetteur) {
        this.local_emetteur = local_emetteur;
    }

    public String getLocal_recepteur() {
        return local_recepteur;
    }

    public void setLocal_recepteur(String local_recepteur) {
        this.local_recepteur = local_recepteur;
    }

    public String getTransporteur() {
        return transporteur;
    }

    public void setTransporteur(String transporteur) {
        this.transporteur = transporteur;
    }

    public ObservableList<ListProduitBon> getListe_prod() {
        return Liste_prod;
    }

    public void setListe_prod(ObservableList<ListProduitBon> Liste_prod) {
        this.Liste_prod = Liste_prod;
    }
    
    
    
}
